Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Dec 2015 20:49:23 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Thu, 10 Dec 2015 13:34:48 -0500
> 
> > So how about saying a few words about the meaning of the return value
> > of internal-echo-keystrokes-prefix?  I think it's important enough to
> > have that at least documented in comments.
> 
> It's used as a proxy for "we're in the middle of a command-with-prefix,

When it returns non-nil, I presume?

> which may be using the `prefix-arg' variable or any other variable".

But this means we can never be sure a non-nil value actually mean the
user typed a prefix-arg command, is that true?  Do we want to treat
the "other" prefixes (which ones, btw?) as prefix-arg in this case?